#include "include/Display.hpp"
#include "include/spi.hpp"

void Display::write(uint8_t line, std::string text) {
  text.resize(16);
  Spi::getInstance().write_array(Spi::DISPLAY_LINE_1_C0 + line * 16, 16, reinterpret_cast<const uint8_t *>(text.c_str()));
}
